"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:projects/smalltalk' }"

ApplicationDefinition subclass:#stx_projects_smalltalk
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_projects_smalltalk class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    The Smalltalk executable (with GUI)

    [Author:]
        Claus Gittinger

    [startWith:]
        Start the ST/X application from the command line
"
! !

!stx_projects_smalltalk class methodsFor:'description'!

applicationIconFileName
    ^ 'stx_32x32'
!

applicationName
    "History: we want the helper files to be named: smalltalk*.*"

    ^ 'smalltalk'
!

applicationNameConsole
    ^ 'stx.com'
!

applicationNameNoConsole
    ^ 'stx.exe'
!

buildTarget
    "redefined, so by default, the executable file is only built - not an installer.
     For the installer to be built, we must explicitly type 'bmake setup'"

     ^ 'exe'
!

documentExtensions
    ^ #()
"/    ^ #('st')
!

isConsoleApplication
    ^ true "actually, we do both the console and the non-console app (see additionalTargets_bc_dot_mak)"
!

isGUIApplication
    ^ true "actually, we do both the console and the non-console app (see additionalTargets_bc_dot_mak)"
!

preRequisites
    ^ #(
        #'stx:libbasic'    
        #'stx:libbasic2'
        #'stx:libbasic3'
        #'stx:libcomp'    
        #'stx:libhtml'
        #'stx:libtool'    
        #'stx:libtool2'
        #'stx:libui'
        #'stx:libview'
        #'stx:libview2'
        #'stx:libwidg'
        #'stx:libwidg2'
        #'stx:libwidg3'
        #'stx:goodies/refactoryBrowser/helpers'
        #'stx:goodies/refactoryBrowser/parser'
        #'stx:goodies/refactoryBrowser/refactoring'
        #'stx:goodies/refactoryBrowser/changes'
        #'stx:goodies/refactoryBrowser/lint'
        #'stx:libboss'
    )
!

splashFileName
    ^ 'stx_splash'
! !

!stx_projects_smalltalk class methodsFor:'description - building'!

additionalFilesToInstall
    "becomes part of the nsi list of files to install"

    ^ #(
        '"*.wsp"'
        '/x CVS "${STX_ROOT}\stx\projects\smalltalk\patches"'
        '/r /x CVS "${STX_ROOT}\stx\include"'
        '/x CVS "${STX_ROOT}\stx\libview\styles\*"'
        'SetOutPath "$INSTDIR\bin\doc"'
        '/r /x CVS "${STX_ROOT}\stx\doc\online"'
        'SetOutPath "$INSTDIR\bin\source"'
        '/r /x CVS /x "not*" "${STX_ROOT}\stx\*.st"'
       )

    "Created: / 01-03-2007 / 20:03:15 / cg"
!

iconFileName
    ^ 'stx_32x32.ico'
! !

!stx_projects_smalltalk class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'stx_projects_smalltalk'
    )
!

extensionMethodNames
    ^ #(
    )
!

protectedFileNames
    "names of files which should NOT be generated (because they are hand-maintained)"
    "do NOT overwrite the hand-written Make.proto for now"

    ^ #( 'Make.proto' )

    "Modified: / 21-12-2010 / 11:37:05 / cg"
! !

!stx_projects_smalltalk class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X IDE'

    "Modified: / 10-02-2007 / 18:36:19 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'

    "Modified: / 01-02-2011 / 11:56:45 / cg"
!

productFilename
    ^ 'SmalltalkX'

    "Modified: / 01-03-2007 / 19:34:15 / cg"
! !

!stx_projects_smalltalk class methodsFor:'description - startup'!

startupClassName
    ^ #Smalltalk
!

startupSelector
    ^ #start
! !

!stx_projects_smalltalk class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !
